> For the complete documentation index, see [llms.txt](https://docs.smartlink.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.smartlink.so/for-third-parties-tezos/start-transaction-xtz.md).

# Start Transaction (XTZ)

To start a transaction with a Tezos (XTZ), no need to allow the Escrow smart contract to spend a certain amount. The user just needs to send the total (price+fees) with the transaction.

In this example we have an ad with the following information :

* Marketplace id : `marketplaceId1`
* Ad id : `adId2`
* Price of the ad (excluding fees) : 1 XTZ
* Seller's address : `tz1LfdftiaLDS1HePbuVFYVD3WZe3BFtA2qz`
* Token address : `tz1WrCgHWFM7EdGXnzodjZS4htFb2ND8zso7`

{% hint style="danger" %}
For XTZ transaction you need to specify this address : `tz1WrCgHWFM7EdGXnzodjZS4htFb2ND8zso7`

\
Nothing is sent/received on this address, it's only used internally by the contract to identify an XTZ transaction.<br>

This address is not whitelisted by default, so you need to whitelist this address to authorize XTZ transactions.
{% endhint %}

The fee for this token is 1%, the user must send the total amount (price + fees) : `1,01 XTZ`

```javascript
//New transaction
await (await escrow.methodsObject.startTransaction({
        _marketPlaceId:"marketplaceId1",
        _adId:"adId2",
        _amount:1000000,
        _seller:"tz1LfdftiaLDS1HePbuVFYVD3WZe3BFtA2qz",
        _tokenAddress:"tz1WrCgHWFM7EdGXnzodjZS4htFb2ND8zso7"
}).send({amount:1.01})).confirmation(1)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.smartlink.so/for-third-parties-tezos/start-transaction-xtz.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
